# _SIGKILL
<span class="source-link">[[Source]](src/process/process_monitor.md#L127)</span>
```pony
primitive val _SIGKILL
```

## Constructors

### create
<span class="source-link">[[Source]](src/process/process_monitor.md#L127)</span>


```pony
new val create()
: _SIGKILL val^
```

#### Returns

* [_SIGKILL](process-_SIGKILL) val^

---

## Public Functions

### apply
<span class="source-link">[[Source]](src/process/process_monitor.md#L128)</span>


```pony
fun box apply()
: I32 val
```

#### Returns

* [I32](builtin-I32) val

---

### eq
<span class="source-link">[[Source]](src/process/process_monitor.md#L128)</span>


```pony
fun box eq(
  that: _SIGKILL val)
: Bool val
```
#### Parameters

*   that: [_SIGKILL](process-_SIGKILL) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/process/process_monitor.md#L128)</span>


```pony
fun box ne(
  that: _SIGKILL val)
: Bool val
```
#### Parameters

*   that: [_SIGKILL](process-_SIGKILL) val

#### Returns

* [Bool](builtin-Bool) val

---

